#pragma once

#include "Noise.h"

class MultiplyNoise : public Noise
{
private:
    Noise* base;
    Noise* multiplier;

public:
    MultiplyNoise(Noise* base, Noise* multiplier);
    ~MultiplyNoise();
    int getSeed() const override;
    double getNoise(double x, double y, double z) override;
};