#pragma once

#include <Text.h>
#include <XML.h>

class NetworkMessage;
class Entity;

class UIDialog : public Framework::ReferenceCounter
{
private:
    Framework::Text id;
    int playerId;

protected:
    Framework::XML::Element* uiml;

public:
    UIDialog(
        Framework::Text id, int playerId, Framework::XML::Element* uiml);
    virtual ~UIDialog();
    virtual void api(Framework::StreamReader* zRequest,
        NetworkMessage* zResponse);
    bool open() const;
    bool update() const;
    const Framework::Text& getId() const;
    int getPlayerId() const;
};